### Hierarchy

- JsonFormsBaseRenderer<UISchemaElement>
  - JsonFormsOutlet

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- componentFactoryResolver
- jsonformsService
- path
- previousProps
- schema
- subscription
- uischema
- viewContainerRef

### Accessors

- renderProps

### Methods

- getOwnProps
- ngOnDestroy
- ngOnInit
- update

## Constructors

### constructor

- new JsonFormsOutlet(viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver, jsonformsService: JsonFormsAngularService): JsonFormsOutlet

- - Defined in jsonforms.component.ts:69

  #### Parameters

  - ##### viewContainerRef: ViewContainerRef

  - ##### componentFactoryResolver: ComponentFactoryResolver

  - ##### jsonformsService: JsonFormsAngularService

  #### Returns JsonFormsOutlet

## Properties

### Private componentFactoryResolver

componentFactoryResolver: ComponentFactoryResolver

- Defined in jsonforms.component.ts:73

### Private jsonformsService

jsonformsService: JsonFormsAngularService

- Defined in jsonforms.component.ts:74

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in base.renderer.ts:35

### Private previousProps

previousProps: StatePropsOfJsonFormsRenderer

- Defined in jsonforms.component.ts:69

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in base.renderer.ts:34

### Private subscription

subscription: Subscription

- Defined in jsonforms.component.ts:68

### uischema

uischema: UISchemaElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in base.renderer.ts:33

### Private viewContainerRef

viewContainerRef: ViewContainerRef

- Defined in jsonforms.component.ts:72

## Accessors

### renderProps

- set renderProps(renderProps: OwnPropsOfRenderer): void

- - Defined in jsonforms.component.ts:80

  #### Parameters

  - ##### renderProps: OwnPropsOfRenderer

  #### Returns void

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in base.renderer.ts:37

  #### Returns OwnPropsOfRenderer

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in jsonforms.component.ts:135

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in jsonforms.component.ts:87

  #### Returns void

### update

- update(state: JsonFormsState): void

- - Defined in jsonforms.component.ts:93

  #### Parameters

  - ##### state: JsonFormsState

  #### Returns void

Generated using TypeDoc